Skip to main content
POST
Create a batch of appointments

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

Body

application/json
inputs
object[]
required

Response

successful operation

A public object batch response object

completedAt
string<date-time>
required

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
required
startedAt
string<date-time>
required

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
required

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE"

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

An object containing relevant links related to the batch request.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

Last modified on March 31, 2026